--------------------------------------------------------------------------------------------------------
升级文件说明：
	HF2211_UPGRADE_XXXXXX		HF2211应用程序升级文件，可登录到IP/hide页面中通过Upgrade application加载文件升级
	HF2221_UPGRADE_XXXXXX		HF2221应用程序升级文件，可登录到IP/hide页面中通过Upgrade application加载文件升级
	webpage_buildXXXXXXX：		网页升级文件，登录到IP/hide页面中通过Upgrade customized webpage加载文件升级

Upgrade File description
	HF2211_UPGRADE_XXXXXX		HF2211 application firmware，login in IP/hide webpage and load file via Upgrade application
	HF2221_UPGRADE_XXXXXX		HF2221 application firmware，login in IP/hide webpage and load file via Upgrade application
	webpage_buildXXXXXXX：		webpage file. login in  IP/hide  webpage and load file via Upgrade customized webpage
--------------------------------------------------------------------------------------------------------

------------------------------------------------------------------
Version 1.34.06
1.cli命令设置bridge，MQTT
2.cli命令设置key值限制
3.HF2211设置远程虚拟通道，收不到数据的问题
4.解决MQTT大包发送异常的问题
5.关闭2221debug口打印

Version 1.34.04
1. 增加cli命令：FEPTP    设置phy to phy功能开关， 
设置参数为：FEPTP on / FEPTP off
2. 增加APSTA模式支持桥接模式，AP和以太网桥接
3.修复串口自由组帧时间无效的问题

Version 1.34.02
    1. 新增mqtt、websocket、Ali-IOT协议。

Version 1.33.17
    1. 修复xml文件导入不成功问题
    2. 修复高频率下传输http数据再修改web的http配置导致程序死掉问题
    3. 增加通配符DATE/TIME/HOST
    4. 修复IE浏览器配置http缺少‘\r’问题

webpage_build1901301447164287更新：
    1. 修改Network Mode，没有Bridge选项。

Version 1.33.15
    1、修复配置文件大于4K导致导出异常问题

Version 1.33.12
    1. 修复webpage 桥接模式配置

Version 1.33.10
    1. 修改TCP Server下Clinet最大连接数改为32

Version 1.33.6
    1. 修复上位机发送修改波特率的参数如与当前设备的波特率参数一致，设备不予理会
    2. 修复远程下修改波特率重启不保存

Version 1.33.4，对应使用IOTService 版本2.3.00
1. 修复以太网连接link灯不亮
2. 修复HeartBeatTime
3. 修复在某些特定情况下，配置不能导出问题

Version 1.31，对应使用IOTService 版本2.3.00
1、服务器通信协议升级到natv2版本，优化IOTService远程配置设备功能。
2、添加D2D设备之间传输数据功能
3、在keepalive 为0的时候设置keepalive为60s
4、sock httpc修改，GET串口数据放到对应的url中，POST串口数据上传时中增加Content-Length: XX 头信息
5、修复长时间运行，系统运行时间出现负值的问题
6、修复在使用串口工具发送cli命令时，模块回显会在每一个字符后加0的bug，及cli命令无返回的问题。
7、修复2211在删除tcp_server出现死机的问题。
8、修复2221 link灯问题，
9、修复快速配置命令中域名修改出错的问题

IOTService 版本2.3.00
1.增加MQTT相关设置（针对HF2421）
2.增加Modbus master设置（针对HF2421）
3.增加D2D设备之间传输数据功能
4.增加多路虚拟串口
5.增加工具更新功能。
6.增加Gport系列模块配置。

*****************************************************************************
Version 1.34.06
1.Add cli command to set bridge，MQTT
2.Fix HF2211 fail to receive data for  Virtual Path remotely
4.Fix MQTT Send bug.
5.Close HF2221 debug log


Version 1.34.04
1. Add APSTA bridge function and AP to Ethernet bridge function 
3. Fix the bug of gap time invalid problem.

Version 1.33.17
    1. Fix xml load fail problem.
    2. Fix got stuck when modify HTTP parameter in HTTP data transfer.
    3. Support DATE/TIME/HOST for register and heartbeat packet.
    4. Fix IE browser http config missing “\r” problem.

webpage_build1901301447164287：
    1. Fix Bridge option for Network Mode.


Version 1.33.15
    1. Fix config xml file exceed 4KB size cause fail problem.

Version 1.33.12
    1. Update webpage bridge function setting.

Version 1.33.10
    1. Update TCP Server support 32 maximum TCP Client.


Version 1.33.6
    1. Fix virtual com communcation with PLC fail problem.
    2. Fix modify UART baud rate failuare with IOTBridge.

Version 1.33.4，对应使用IOTService 版本2.3.00
1. Fix the bug of NET led not on when Ethernet conneciton has established.
2. Add new heart beat and register function
3. Fix virtual com problem.

Version 1.31， Use IOTService Version 2.3.00
1、Optimize remote config function.
2、Add D2D device to device transfer data via IOTBridge function.
3、Keep keepalive to 60s when setting it to 0.
4、Fix httpclient protocol, for GET request, put the UART data in the url. Fort POST request, add Content-Length header according to the received UART data.
5、Fix sysrun time show error.
6、Fix Cli command echo back with 0x00 bug.
7、Fix HF2211 sometimes stuck when delete TCP Server。
8、Fix HF2221 link LED.
9、Fix fast UART config socket domain name modify abnormal.

IOTService Version2.3.00
1.Add MQTT Setting（For HF2421）
2.Add Modbus master Setting（ForHF2421）
3.Add D2D device to device transfer data via IOTBridge function.
4.Add multiple Virtual COM support
5.Add IOTService update
6.Add support for Gport Series GPRS module setting.
--------------------------------------------------------------------------------------------------------
Version 1.20，对应使用IOTService 版本2.1.01
新增功能
1.开启流控是rts默认电平为低
2.添加建立tcp_server时，能够设置最大的接入连接数量； 修改默认netp的maxAccept参数默认为5；增加CLI命令MaxAccept。
3.增加Upgrade升级工具批量升级配置、脚本等等功能

HF2211&HF2221增加功能：
   1.增加LAN/WAN切换功能
   2.增加MAXaccept值到20
   3.增加关闭wifi功能
   4.脚本文件大小扩大到20k（目前只针对HF2211）
   5.增加隐藏热点ssid.

IOTService工具增加功能：
   1.增加IO控制工具。（针对HF6508，HF6208）
   2.通过工具读取/加载脚本--脚本不需要打包工具打包
   3.添加升级工具--升级固件，web，脚本（需打包工具打包），配置文件
   4.针对4G产品HF2421增加端口映射设置。
   5.增加脚本删除/下载功能

修复&优化功能
1.修复modbus数据长度计算出错问题
2.修复下载xml的时候出现部分参数不能设置成功的bug
3.修复CLi命令下，新建tcp-client类型的socket时HeartBeat可以设置，但是不可以修改的问题
4.修复通过xmload命令导入xml文件，HTTP Head参数导入不成功
5.修复参数导出xml文件，缺少Cli-Getin ，Cli-WaitTime 参数
6.修复配置参数导出缺少串口GapTimed问题
7.修复Modbus单个TCP连续发(不等前一个包的回复)出错的问题
8.优化虚拟串口连接问题；

脚本相关
1.在下载新脚本时，FLASHMAGIC不等时，清空flash中的falsh参数
2.修复_stringHex函数不能转化0xff的bug
3.增加判断脚本每行超过256字节报错；
4.脚本增加支持关键字RTTIME获取实时时间；
5.增加支持关键字CALCRC16和或运算符；
*****************************************************************************
Version 1.20，对应使用IOTService 版本2.1.01
New Function
1.Set RTS to low by default when enable flow contorl.
2.Add maxAccept when working as TCP Server.
3.Add mass upgrade toosls.

HF2211&HF2221 new function：
   1.Add LAN/WAN switch function.
   2.Add MAXaccept to 20
   3.Add turn off wifi function
   4.Add script to 20KB size(HF2211 only)
   5.Add hide AP SSID.

IOTService add new function：
   1.Add IO control for HF6508 and HF6208
   2.Add load script file
   3.Add support for upgrade web, config file, and script.
   4.Add port mapping for HF2421
	
Bug fix and optimize.
1.Fix modbus data length error
2.Fix some parameters not valid when load xml config file.
3.Fix HTTP head fail when load xml config file.
4.Fix Cli-Getin and Cli-WaitTime, GapTime missing in xml file.
6.Fix Modbus TCP continue sending error problem.
7.Optimize virtual Com；

Script
1.Fix _stringHex fail to transfer 0xff.
2.Add judge 256 bytes for each line
3.Add RTTIME to get RTC time.
4.Add CALCRC16.
-------------------------------------------------------------------------------------------------------
Version 1.10，对应使用IOTService 版本2.0.10
1、增加IOTBridge转发功能
2、增加XmlLoad导入配置功能
3、增加Script导入脚本功能。
4、增加读写Flash脚本参数。

Version 1.10. Together use with IOTService Version 2.0.10
1、Add IOTBridge remote data transfer function
2、Add Xmlload config function.
3、Add IOTService set script function.
4、Add IOTService read and write script function

--------------------------------------------------------------------------------------------------------
1.09k
修复不能接收udp广播；
nat打洞ip改为域名；
增加api设置可接收广播的本地端口；
虚拟串口ip buff扩展
sock连接默认改为无超时
修复Modbus功能码为00/01时的问题
增加组播功能，
添加子网掩码设置

1.09k
Fix UDP broadcast receive problem.
NAT use domain name
expand virtual UART buffer
Change socket timeout to default 0.
Fix modbus function 00/01 abnormal problem
Add multicast function
Add subnetmask setting.
--------------------------------------------------------------------------------------------------------
1.09i
功能增加：
增加打印信息，Debug命令设置打印级别；
增加ping网关命令，SYS Ping GateWay（用于产测）；
设置出厂参数功能，增加cli命令FactoryCfg；
支持脚本功能；
 
Bug修复：
优化ModBus 修复Modbus多主机时的Bug
修复TCP Server时数据不通的Bug
修改数据长度为8时，DES加密出数据长度不正常；
修复xml导出配置后cli命令不显示串口命令；
修复xml导出再导入参数配置后，HTTP协议中的“”版本“”参数丢失；
修改多次创建删除UDP-CLIENT导致内存泄漏；

1.09i
New Feature
Add log information output, cli Debugcommand to set debug level
Add Ping command, SYS Ping
Add factory setting command, Cli FactoryCfg.
Add script support.

Bug fix
1、Optimize modbus function.
2、Fix DES encryption problem.
3、Fix export xml file problem.
4、Fix create/delete of udp client ram leekage.
--------------------------------------------------------------------------------------------------------
1.09a
	1、解决串口奇偶校验位反了的问题;
1.09a
	1、Fix uard odd and even charity error.
--------------------------------------------------------------------------------------------------------

1.08c
	1、增加命令清空CustomerID 和 UserID命令;
	2、支持IOTService 2.0.06版本工控云功能，支持远程p2p连接；
	3、增加ProductID，CfgProtect，Ping，CustomerID，UserID等命令,reload不影响CustomerID&UserID；
	4、增加局域网广播配置功能.
	5、修改NTP时区支持-12到+14；
1.08c
	1、Add Command to clear CustomerID and UserID
	2、Support IOTService 2.0.06 version function.
	3、Add ProductID,CfgProtect,Ping,CustomerID,UserID Cli命令, reload won't change CustomerID&UserID.
	4、Add local network broadcast scan, any static IP can be found if in local network.
	5、Modify NTP timezone from -12 to +14。
--------------------------------------------------------------------------------------------------------
1.07c
 	1.支持注册心跳包功能
 	2.Autoip功能IP地址固定
 	3.支持NTP功能
 	4.支持串口设置和读取参数指令
 	5.支持IOT Manager工具固件升级功能
 	6.支持串口命令升级。
 	7.HF5111B写保护功能。

1.07c：
	1、Add Heartbeat function
	2、Use constant IP address when in Auto-IP mode.
	3、Support NTP Function
	4、Support UART Fast Config
	5、Support IOTManager tools upgrade
	6、Support Cli Upgrade Command
	7、Support HF5111B protect 
--------------------------------------------------------------------------------------------------------
1.06 版本
 1、网页更新到最新EPORT-WEB V1.0
 2、支持iotmanager 1.09版本，需使用此版本软件进行配置。
 3、支持TLS加密。


1.06 Version
 1、Use latest webpage “EPORT-WEB V1.0”
 2、Support iotmanager 1.09 version, must use this version to config device.
 3、Support TLS function.




